Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
failure to update kde: many blocked packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
jerrry94087
n00b
n00b


Joined: 02 Mar 2008
Posts: 41

PostPosted: Mon Aug 11, 2008 12:57 am    Post subject: failure to update kde: many blocked packages Reply with quote

I am trying to run: emerge --deep --update kde-base/kde
But am getting many-many error messages, see below.
How do I upgrade KDE?
Why doesn't portage know that this is an upgrade and just upgrade those?

Yuri


<...skip...>
[ebuild N ] kde-base/kdeaddons-3.5.9 USE="arts berkdb sdl -debug -kdeenablefinal -xinerama"
[ebuild N ] kde-base/kde-3.5.9 USE="-accessibility"
[blocks B ] kde-base/kjumpingcube:3.5 (is blocking kde-base/kdegames-3.5.9)
[blocks B ] kde-base/atlantik:3.5 (is blocking kde-base/kdegames-3.5.9)
[blocks B ] kde-base/knode:3.5 (is blocking kde-base/kdepim-3.5.9-r1)
[blocks B ] kde-base/konsolekalendar:3.5 (is blocking kde-base/kdepim-3.5.9-r1)
[blocks B ] kde-base/ktouch:3.5 (is blocking kde-base/kdeedu-3.5.9)
[blocks B ] kde-base/kcron:3.5 (is blocking kde-base/kdeadmin-3.5.9)
[blocks B ] kde-base/kdebase-kioslaves:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/ktimer:3.5 (is blocking kde-base/kdeutils-3.5.9-r1)
[blocks B ] kde-base/libkpimidentities:3.5 (is blocking kde-base/kdepim-3.5.9-r1)
[blocks B ] kde-base/kxkb:3.5 (is blocking kde-base/kdebase-3.5.9-r3)
[blocks B ] kde-base/katomic:3.5 (is blocking kde-base/kdegames-3.5.9)
[blocks B ] kde-base/knetwalk:3.5 (is blocking kde-base/kdegames-3.5.9)
[blocks B ] kde-base/kimagemapeditor:3.5 (is blocking kde-base/kdewebdev-3.5.9)
[<...skip...>
Back to top
View user's profile Send private message
bunder
Bodhisattva
Bodhisattva


Joined: 10 Apr 2004
Posts: 5213

PostPosted: Mon Aug 11, 2008 1:06 am    Post subject: Reply with quote

Moved from Other Things Gentoo to Portage & Programming.
_________________
goodbye fgo. it was nice knowing you.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8341

PostPosted: Mon Aug 11, 2008 3:11 am    Post subject: Reply with quote

This is solely a result of attempting to mix monolithic and meta packages, as you presently have the meta packages, also known as the split packages, installed run emerge --deep --update kde-base/kde-meta instead of emerge --deep --update kde-base/kde.

This issue has already been discussed in the topic "Blockers in KDE 3.4.1", where it was summarized by Headrush; and it is also covered in The KDE Configuration HOWTO.

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum